Name:           goodvibes
Version:        0.5.3
Release:        %mkrel 1
Summary:        Lightweight Radio Player
Group:          Sound
License:        GPLv3+
URL:            https://goodvibes.readthedocs.io/en/stable/index.html
Source0:        https://gitlab.com/%{name}/%{name}/-/archive/v%{version}/%{name}-%{version}.tar.xz
#------------------------------------------------------
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(amtk-5)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(keybinder-3.0)
BuildRequires:  pkgconfig(libsoup-2.4)
#------------------------------------------------------
Requires:       dconf
Requires:       hicolor-icon-theme
Requires:       gstreamer1.0-plugins-ugly
#------------------------------------------------------

%description
Goodvibes is an Internet radio player for GNU/Linux. It aims to be light,
simple, straightforward.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install --vendor="" \
    --remove-category="AudioVideo" \
    --remove-category="Player" \
    --add-category="X-MandrivaLinux-Multimedia-Sound;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop


%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_datadir}/applications/io.gitlab.Goodvibes.desktop
%{_datadir}/dbus-1/services/io.gitlab.Goodvibes.service
%{_datadir}/glib-2.0/schemas/com.elboulangero.Goodvibes.enums.xml
%{_datadir}/glib-2.0/schemas/com.elboulangero.Goodvibes.gschema.xml
%{_datadir}/glib-2.0/schemas/io.gitlab.Goodvibes.enums.xml
%{_datadir}/glib-2.0/schemas/io.gitlab.Goodvibes.gschema.xml
%{_datadir}/icons/hicolor/*/apps/io.gitlab.Goodvibes.png
%{_datadir}/icons/hicolor/symbolic/apps/io.gitlab.Goodvibes-symbolic.svg
%{_mandir}/man1/%{name}-client.1.*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/metainfo/io.gitlab.Goodvibes.appdata.xml

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Sep 07 2020 tex - 0.5.3-1pclos2020
- create pkg
